global using System;
global using System.Threading.Tasks;
global using System.Linq;
global using System.Collections.Generic;
using Microsoft.Extensions.DependencyInjection;
using Todo.Core.Interfaces.Persistence;
using Todo.Persistence.Mongo.Repositories;

namespace Todo.Persistence
{
    public static class DependencyInjection
    {
        public static IServiceCollection AddPersistence(this IServiceCollection services) =>
            services
                .AddScoped<IUserRepository, UserRepository>()
                .AddScoped<ITodoRepository, TodoRepository>();
    }
}